diff -ruN pilot-link-0.11.8.orig/bindings/Java/Makefile.in pilot-link-0.11.8/bindings/Java/Makefile.in
--- pilot-link-0.11.8.orig/bindings/Java/Makefile.in	Tue Jul  1 13:09:06 2003
+++ pilot-link-0.11.8/bindings/Java/Makefile.in	Tue Jul 22 14:09:00 2003
@@ -233,7 +233,7 @@
 	$(JAVAC) -d . $(java_files)
 
 java_lib: libjpisock.c
-	$(CXX) $(INCLUDES) $(DEFS) -L $(top_builddir)/libpisock/.libs -lpisock -shared -o libjpisock.so $(srcdir)/libjpisock.c
+	$(CXX) $(INCLUDES) $(DEFS) -L$(top_builddir)/libpisock/.libs -lpisock -dynamiclib -o libjpisock.so $(srcdir)/libjpisock.c
 
 java_jar: $(java_classes)
 	$(JAR) cvf pilot-link.jar $(java_classes)
@@ -241,7 +241,8 @@
 java_pisock: java_compile java_lib java_jar
 
 install: all
-	cp libjpisock.so ${JAVABASE}/jre/lib/i386/
+	mkdir -p ${prefix}/${JAVABASE}/jre/lib/ppc/
+	cp libjpisock.so ${prefix}/${JAVABASE}/jre/lib/ppc/
 
 test: install
 	${JAVABASE}/bin/java test ${PORT}
diff -ruN pilot-link-0.11.8.orig/bindings/Makefile.in pilot-link-0.11.8/bindings/Makefile.in
--- pilot-link-0.11.8.orig/bindings/Makefile.in	Tue Jul  1 13:09:05 2003
+++ pilot-link-0.11.8/bindings/Makefile.in	Tue Jul 22 11:00:22 2003
@@ -344,7 +344,7 @@
 	cd $(srcdir)/Python && $(PYTHON) setup.py build
 
 python-install: python-build
-	cd $(srcdir)/Python && $(PYTHON) setup.py install --prefix=$(prefix) --root=$(DESTDIR)
+	cd $(srcdir)/Python && $(PYTHON) setup.py install --prefix=$(prefix) --root=/
 
 python-clean: Python/setup.py
 	-cd $(srcdir)/Python && $(PYTHON) setup.py clean 
diff -ruN pilot-link-0.11.8.orig/bindings/Perl/Makefile.PL pilot-link-0.11.8/bindings/Perl/Makefile.PL
--- pilot-link-0.11.8.orig/bindings/Perl/Makefile.PL	Tue Jul  1 12:57:18 2003
+++ pilot-link-0.11.8/bindings/Perl/Makefile.PL	Tue Jul 22 11:02:01 2003
@@ -2,17 +2,18 @@
 # See lib/ExtUtils/MakeMaker.pm for details of how to influence
 # the contents of the Makefile that is written.
 
-$prefix = "/usr/local";
+$prefix = "@FINKPREFIX@";
 $exec_prefix = "${prefix}";
-$libdir = "../../libpisock/.libs";
+$libdir = "${prefix}/lib";
 
-$lib = "-L$libdir -lpisock";
+$libs = "-L$libdir -lpisock";
+$inc = "-I$prefix/include";
 
 WriteMakefile(
     'NAME'       => 'PDA::Pilot',
     'VERSION'    => '0.11.8',
-    'LIBS'       => $lib,
+    'LIBS'       => \@libs,
     'XSPROTOARG' => '-noprototypes',
-    'INC'        => '-I../../include',
+    'INC'        => $inc,
     'DEFINE'     => '-DPERL_POLLUTE',
 );
diff -ruN pilot-link-0.11.8.orig/configure pilot-link-0.11.8/configure
--- pilot-link-0.11.8.orig/configure	Tue Jul  1 13:08:40 2003
+++ pilot-link-0.11.8/configure	Tue Jul 22 13:42:48 2003
@@ -5634,19 +5634,20 @@
       allow_undefined_flag='-undefined suppress'
       ;;
     *) # Darwin 1.3 on
-      allow_undefined_flag='-flat_namespace -undefined suppress'
+      #allow_undefined_flag='-flat_namespace -undefined suppress'
+      allow_undefined_flag=''
       ;;
     esac
     # FIXME: Relying on posixy $() will cause problems for
     #        cross-compilation, but unfortunately the echo tests do not
     #        yet detect zsh echo's removal of \ escapes.  Also zsh mangles
     #	     `"' quotes if we put them in here... so don't!
-    archive_cmds='$CC -r -keep_private_externs -nostdlib -o ${lib}-master.o $libobjs && $CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib ${lib}-master.o $deplibs$linker_flags $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
+    archive_cmds='$nonopt -r -keep_private_externs -nostdlib -o ${lib}-master.o $libobjs && $nonopt $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib ${lib}-master.o $deplibs$linker_flags $(test .$module != .yes && echo -install_name $rpath/$soname $verstring)'
     # We need to add '_' to the symbols in $export_symbols first
     #archive_expsym_cmds="$archive_cmds"' && strip -s $export_symbols'
-    hardcode_direct=yes
+    hardcode_direct=no
     hardcode_shlibpath_var=no
-    whole_archive_flag_spec='-all_load $convenience'
+    whole_archive_flag_spec='-all-load $convenience'
     ;;
 
   freebsd1*)
@@ -11481,7 +11482,7 @@
 fi;
 
 if test "x$with_python" != "xno"; then
-        for ac_prog in python2 python
+        for ac_prog in python2.2 python2 python
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
diff -ruN pilot-link-0.11.8.orig/libpisync/Makefile.in pilot-link-0.11.8/libpisync/Makefile.in
--- pilot-link-0.11.8.orig/libpisync/Makefile.in	Tue Jul  1 13:08:57 2003
+++ pilot-link-0.11.8/libpisync/Makefile.in	Tue Jul 22 13:09:01 2003
@@ -125,7 +125,7 @@
 libpisync_la_SOURCES =  	sync.c
 
 
-libpisync_la_LIBADD =  	$(ICONV_LIBS)
+libpisync_la_LIBADD =  	-L$(top_srcdir)/libpisock -lpisock $(ICONV_LIBS)
 
 
 libpisync_la_LDFLAGS =  	-export-dynamic -version-info $(PISYNC_CURRENT):$(PISYNC_REVISION):$(PISYNC_AGE)
diff -ruN pilot-link-0.11.8.orig/ltmain.sh pilot-link-0.11.8/ltmain.sh
--- pilot-link-0.11.8.orig/ltmain.sh	Tue Jul  1 12:56:55 2003
+++ pilot-link-0.11.8/ltmain.sh	Tue Jul 22 12:28:51 2003
@@ -1774,7 +1774,7 @@
 
 	  if test "$installed" = no; then
 	    notinst_deplibs="$notinst_deplibs $lib"
-	    need_relink=yes
+	    need_relink=no
 	  fi
 
 	  if test -n "$old_archive_from_expsyms_cmds"; then
